import java.io.Serializable;
import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table supportproperty (id int,name varchar);");    
      HibernateUtil.setup("create table properties (id int,property_name varchar,property_value varchar);");    

      Session session = HibernateUtil.currentSession();

      SupportProperty sp = new SupportProperty();
     
      sp.setName("Joe");
      HashMap p = new HashMap();
      p.put("color", "blue");
      p.put("lnf", "mac");
      sp.setProperties(p);

      session.save(sp);
      session.flush();
      HibernateUtil.closeSession();
      
      
      session = HibernateUtil.currentSession();
      SupportProperty sp2 = (SupportProperty)session.load(SupportProperty.class, new Integer(sp.getId()));

      Map p2 = sp2.getProperties();
      System.out.println(p2.get("color"));
      System.out.println(p2.get("lnf"));

      session.flush();
      session.close();
      HibernateUtil.checkData("select * from supportproperty");
      HibernateUtil.checkData("select * from properties");
   }
}
